Bug 7988 - DNS configuration overwritten when using on demand ppp
DNS configuration overwritten when using on demand ppp
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-25 04:05 EST by Lewis Foti
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-19 19:20:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lewis Foti 1999-12-25 04:05:42 EST
I'm setting up a gateway box to connect my home network to the
'net via an ISDN line using ip masquerading (ipchains) and ppp (pppd) with
on demand dialing. Doing this using linuxconf this has proved relatively
easy except for configuring the DNS servers to be used. The goal is to
have a local DNS for my home network (running on the 10.x.x.x address
range) and use the ISP DNS servers for the real world. After exiting
linuxconf the /etc/resolve.conf file has the following entries.

nameserver 10.0.0.1                  # local DNS
nameserver 158.152.1.43              # ISP DNS1
nameserver 158.152.1.58              # ISP DNS2

This points DNS requests to my local box with the ISPs DNS servers as
alternatives. However after a reboot the contnents of the file has changed
to remove the local entry so the entries are as follows.

nameserver 158.152.1.43              # ISP DNS1
nameserver 158.152.1.43              # ISP DNS1
nameserver 158.152.1.58              # ISP DNS2

The result is that all DNS requests go the ISP DNS servers (which is slow)
and these don't know anything about my home network (which is both good and
bad).

Tracking things through the network configuration stuff the changes to
resolve.conf are made in /etc/sysconfig/network-scripts/ifup-ppp and are
controlled by a variable called PEERDNS. If this is not set to "no" then
resolve.conf is overwritten. Unfortunately I cannot find out where this
variable is actually set. Nothing in linuxconf seems to relate to this.
Comment 1 Henri J. Schlereth 2000-01-03 12:33:59 EST
This issue affected me as well when it over-wrote the resolv.conf every
time. The solution is to remove usepeerdns from ifup-ppp, so I think this
is more an issue with initscripts(which provides ifup-ppp) than ppp.
Comment 2 Nalin Dahyabhai 2000-01-19 19:20:59 EST
This behavior is changed in initscripts-4.83-1, which should be showing up in
Raw Hide within the week.  Please reopen this bug if you continue to have
problems.

Note You need to log in before you can comment on or make changes to this bug.